#ifndef __WATER_H__
#define __WATER_H__


#include <stdint.h>


typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;


void BoardInit(void);
float GetVoltage(void);
uint8_t WaterReadData(void);
void BeepStatusSet(SwitchStatus status);
void LedWarnStatusSet(SwitchStatus status);	

#endif


