/*
 * Copyright (c) 2020  Jinan Bosai Network Technology Co., Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __Elevator_H__
#define __Elevator_H__
#include <stdint.h>

typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;

void BoardInit(void);
uint8_t ElevatorReadData(void);
void FanStatusSet(SwitchStatus status);


#endif /* __Elevator_H__ */

