/*
 * Copyright (c) 2022 Jinan Bosai Network Technology Co., LTD Ltd.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SOCKET_H__
#define __SOCKET_H__

typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;

void BoardInit(void);
void RelayStatusSet(SwitchStatus status);
void LedRedStatusSet(SwitchStatus status);
void LedGreenStatusSet(SwitchStatus status);
void LedBlueStatusSet(SwitchStatus status);

#endif /* __SOCKET_H__ */

