#ifndef __FLAME_H__
#define __FLAME_H__


#include <stdint.h>


typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;


void FlameInit(void);
float GetVoltage(void);
uint8_t FlameReadData(void);
void BeepStatusSet(SwitchStatus status);
void LedWarnStatusSet(SwitchStatus status);	

#endif


