#ifndef __ST02D_H__
#define __ST02D_H__


#include <stdint.h>


typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;


typedef void (*ST02D_CallbackFunc) (char *arg);

void ST02D_Init(void);
// void Button_Left_Read_Data(ST02D_CallbackFunc func);
// void Button_Right_Read_Data(ST02D_CallbackFunc func);
uint8_t Button_Left_Read_Data(void);
uint8_t Button_Right_Read_Data(void);
void BeepStatusSet(SwitchStatus status);
void LedWarnStatusSet(SwitchStatus status);	

#endif


