#ifndef __DHT11_H
#define __DHT11_H 

#ifdef __cplusplus
extern "C" {
#endif
	
#include "iot_gpio.h"
#include "iot_gpio_ex.h"
#include <stdint.h>

#define DHT11_DQ_GPIO 13
											   
#define	DHT11_DQ_OUT_OFF   	IoTGpioSetOutputVal(DHT11_DQ_GPIO, 0);
#define	DHT11_DQ_OUT_ON   	IoTGpioSetOutputVal(DHT11_DQ_GPIO, 1);
	
	
uint8_t DHT11_Read_Data(uint8_t *temperature,uint8_t *humidity); //Read DHT11 Value
uint8_t DHT11_Read_Byte(void);//Read One Byte
uint8_t DHT11_Read_Bit(void);//Read One Bit
uint8_t DHT11_Check(void);//Chack DHT11
void DHT11_Rst(void);//Reset DHT11    
	
	
	
#ifdef __cplusplus
}
#endif
#endif /*__ GPIO_H__ */










