#ifndef __DOOR_H__
#define __DOOR_H__


#include <stdint.h>


typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;

void BoardInit(void);

uint8_t Button_Left_Read_Data(void);

void BeepStatusSet(SwitchStatus status);
void LedWarnStatusSet(SwitchStatus status);	
void LedSafeStatusSet(SwitchStatus status);
#endif


