#include "blood.h"
uint16_t g_fft_index = 0;         	 	//fft±

struct compx s1[FFT_N+16];           	//FFTS[1]ʼţݴСԼ
struct compx s2[FFT_N+16];           	//FFTS[1]ʼţݴСԼ

struct
{
	float 	Hp	;			//Ѫ쵰	
	float 	HpO2;			//Ѫ쵰
	
}g_BloodWave;//ѪҺ

BloodData g_blooddata = {0};					//ѪҺݴ洢

#define CORRECTED_VALUE			47   			//궨ѪҺ


#define asuint(f) ((union{float _f; uint32_t _i;}){f})._i
#define asfloat(i) ((union{uint32_t _i; float _f;}){i})._f

#define GET_FLOAT_WORD(w,d)                       \
do {                                              \
  (w) = asuint(d);                                \
} while (0)

#define SET_FLOAT_WORD(d,w)                       \
do {                                              \
  (d) = asfloat(w);                               \
} while (0)

static const float tiny = 1.0e-30;

float sqrtf(float x)
{
	float z;
	int32_t sign = (int)0x80000000;
	int32_t ix,s,q,m,t,i;
	uint32_t r;

	GET_FLOAT_WORD(ix, x);

	/* take care of Inf and NaN */
	if ((ix&0x7f800000) == 0x7f800000)
		return x*x + x; /* sqrt(NaN)=NaN, sqrt(+inf)=+inf, sqrt(-inf)=sNaN */

	/* take care of zero */
	if (ix <= 0) {
		if ((ix&~sign) == 0)
			return x;  /* sqrt(+-0) = +-0 */
		if (ix < 0)
			return (x-x)/(x-x);  /* sqrt(-ve) = sNaN */
	}
	/* normalize x */
	m = ix>>23;
	if (m == 0) {  /* subnormal x */
		for (i = 0; (ix&0x00800000) == 0; i++)
			ix<<=1;
		m -= i - 1;
	}
	m -= 127;  /* unbias exponent */
	ix = (ix&0x007fffff)|0x00800000;
	if (m&1)  /* odd m, double x to make it even */
		ix += ix;
	m >>= 1;  /* m = [m/2] */

	/* generate sqrt(x) bit by bit */
	ix += ix;
	q = s = 0;       /* q = sqrt(x) */
	r = 0x01000000;  /* r = moving bit from right to left */

	while (r != 0) {
		t = s + r;
		if (t <= ix) {
			s = t+r;
			ix -= t;
			q += r;
		}
		ix += ix;
		r >>= 1;
	}

	/* use floating add to find out rounding direction */
	if (ix != 0) {
		z = 1.0f - tiny; /* raise inexact flag */
		if (z >= 1.0f) {
			z = 1.0f + tiny;
			if (z > 1.0f)
				q += 2;
			else
				q += q & 1;
		}
	}
	ix = (q>>1) + 0x3f000000;
	SET_FLOAT_WORD(z, ix + ((uint32_t)m << 23));
	return z;
}

/*funcation start ------------------------------------------------------------*/
//ѪҺϢ
void blood_data_update(void)
{
	//־λʹʱ ȡFIFO
	g_fft_index=0;
	while(g_fft_index < FFT_N)
	{
		while(GetInit()==0)
		{
			//ȡFIFO
			max30102_read_fifo();  //read from MAX30102 FIFO2
			//дfft벢
			if(g_fft_index < FFT_N)
			{
				//дfft벢
				s1[g_fft_index].real = fifo_red;
				s1[g_fft_index].imag= 0;
				s2[g_fft_index].real = fifo_ir;
				s2[g_fft_index].imag= 0;
				g_fft_index++;
			}
		}
	}
}

//ѪҺϢת
void blood_data_translate(void)
{	
	float n_denom;
	uint16_t i;
	//ֱ˲
	float dc_red =0; 
	float dc_ir =0;
	float ac_red =0; 
	float ac_ir =0;
	
	for (i=0 ; i<FFT_N ; i++ ) 
	{
		dc_red += s1[i].real ;
		dc_ir +=  s2[i].real ;
	}
		dc_red =dc_red/FFT_N ;
		dc_ir =dc_ir/FFT_N ;
	for (i=0 ; i<FFT_N ; i++ )  
	{
		s1[i].real =  s1[i].real - dc_red ; 
		s2[i].real =  s2[i].real - dc_ir ; 
	}
	
	//ƶƽ˲
	printf("***********8 pt Moving Average red******************************************************\r\n");
	for(i = 1;i < FFT_N-1;i++) 
	{
			n_denom= ( s1[i-1].real + 2*s1[i].real + s1[i+1].real);
			s1[i].real=  n_denom/4.00; 
			
			n_denom= ( s2[i-1].real + 2*s2[i].real + s2[i+1].real);
			s2[i].real=  n_denom/4.00; 			
	}
	//˵ƽ˲
	for(i = 0;i < FFT_N-8;i++) 
	{
			n_denom= ( s1[i].real+s1[i+1].real+ s1[i+2].real+ s1[i+3].real+ s1[i+4].real+ s1[i+5].real+ s1[i+6].real+ s1[i+7].real);
			s1[i].real=  n_denom/8.00; 
			
			n_denom= ( s2[i].real+s2[i+1].real+ s2[i+2].real+ s2[i+3].real+ s2[i+4].real+ s2[i+5].real+ s2[i+6].real+ s2[i+7].real);
			s2[i].real=  n_denom/8.00; 
		
			printf("%f\r\n",s1[i].real);		
	}
	printf("************8 pt Moving Average ir*************************************************************\r\n");
	for(i = 0;i < FFT_N;i++) 
	{
		printf("%f\r\n",s2[i].real);	
	}
	printf("**************************************************************************************************\r\n");
	//ʼ任ʾ	
	g_fft_index = 0;	
	//ٸҶ任
	FFT(s1);
	FFT(s2);
	
	//ƽ
	printf("ʼFFT㷨****************************************************************************************************\r\n");
	for(i = 0;i < FFT_N;i++) 
	{
		s1[i].real=sqrtf(s1[i].real*s1[i].real+s1[i].imag*s1[i].imag);
		s1[i].real=sqrtf(s2[i].real*s2[i].real+s2[i].imag*s2[i].imag);
	}
	//㽻
	for (i=1 ; i<FFT_N ; i++ ) 
	{
		ac_red += s1[i].real ;
		ac_ir +=  s2[i].real ;
	}
	
	for(i = 0;i < FFT_N/2;i++) 
	{
		printf("%f\r\n",s1[i].real);
	}
	printf("****************************************************************************************\r\n");
	for(i = 0;i < FFT_N/2;i++) 
	{
		printf("%f\r\n",s2[i].real);
	}
	
	printf("FFT㷨***************************************************************************************************************\r\n");


	//ȡֵĺ  Ϊ 
	int s1_max_index = find_max_num_index(s1, 30);
	int s2_max_index = find_max_num_index(s2, 30);
	printf("%d\r\n",s1_max_index);
	printf("%d\r\n",s2_max_index);
	//HbO2Hbı仯ƵǷһ

		
    float Heart_Rate = 60.00 * ((100.0 * s1_max_index )/ 512.00);
    
    g_blooddata.heart = Heart_Rate;
			
    float R = (ac_ir*dc_red)/(ac_red*dc_ir);
    float sp02_num =-45.060*R*R+ 30.354 *R + 94.845;
    g_blooddata.SpO2 = sp02_num;
			
}


void blood_Loop(void)
{

	//ѪҺϢȡ
	blood_data_update();
	//ѪҺϢת
	blood_data_translate();

	//ʾѪҺ״̬Ϣ
	// OLED_Printf_EN(2,0,"heart:%3d/min  ",g_blooddata.heart);
	g_blooddata.SpO2 = (g_blooddata.SpO2 > 99.99) ? 99.99:g_blooddata.SpO2;
	// OLED_Printf_EN(4,0,"SpO2:%2.2f%%  ",g_blooddata.SpO2);
	printf("ָ%3d",g_blooddata.heart);
	osDelay(10);
	printf("ָѪ%0.2f",g_blooddata.SpO2);
	//tftʾˢ
	//LED Ϣ
}

