#ifndef __PM_2_5_H__
#define __PM_2_5_H__


#include <stdint.h>


typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;

typedef struct
{
    uint32_t    pm1_0;	
    uint32_t    pm2_5;
    uint32_t    pm10;		
} PM2D5Data;

void BoardInit(void);

uint8_t Button_Left_Read_Data(void);

void PM2DReadData(PM2D5Data* ReadData);
void RelayStatusSet(SwitchStatus status);
#endif


