#ifndef __MLX90614_H
#define __MLX90614_H


#include <stdint.h>


#define   MLX90614_ADDR_WRITE   0x00	
#define   MLX90614_ADDR_READ    0x01

#define   MLX90614_RAM    0x00

#define   AMBIENT_TEMP    0x06
#define   OBJECT_TEMP     0x07

typedef enum
{
	OFF = 0,
	ON
} SwitchStatus;


extern uint8_t  RxBuffer[3];
void MLX90614_Init(void);
float MLX90614_Read_TempData(uint8_t  ambient_or_object);
void LedSafeStatusSet(SwitchStatus status);
void LedWarnStatusSet(SwitchStatus status);	
void BeepStatusSet(SwitchStatus status);

#endif


